<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Admin
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL OR $_SESSION['user_droit'] > '3'){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}
// var_dump($_USERS);

 //DEBUT TRAITEMENT
$module_actif = 0;
$module_inactif = 0;
$page_actif = 0;
$page_inactif = 0;
$scrol_actif = 0;
$scrol_inactif = 0;
 
$list_all = glob('DOCS/*.*.*'); //liste tout les modules et pages
foreach($list_all as $mod_key => $mod_value){
	$all_infos = explode('.',$mod_value);
	if($all_infos[3] == 'php'){ //c'est un module
		if($all_infos[1] == 'on'){ // il est actif
			$module_actif = $module_actif+1;
		}else{ // inactif
			$module_inactif = $module_inactif+1;
		}
	}else{ //c'est pas un module, donc une page.
		if($all_infos[1] == 'on'){ // il est actif
			$page_actif = $page_actif+1;
		}else{ // inactif
			$page_inactif = $page_inactif+1;
		}
	}
}

$list_scrol = glob('DOCS/scrolling/*.*.*'); //liste tout les scrolling
foreach($list_scrol as $scrol_key => $scrol_value){
	$scrol_infos = explode('.',$scrol_value);
	if($scrol_infos[3] == 'html'){ //c'est un scrolling
		if($scrol_infos[1] == 'on'){ // il est actif
			$scrol_actif = $scrol_actif+1;
		}else{ // inactif
			$scrol_inactif = $scrol_inactif+1;
		}
	}
}

//On vérifie qu'il n'y ait pas trop de page et modules inactifs !
if($page_inactif >= 10){
	$message = '<div class="col-md-12">
					<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#stroked-flag"></use></svg> Vous avez beaucoup de pages inactives ('.$page_inactif.'), si elles ne sont plus utiles, vous avez la possibilité de les supprimer !
					</div>
				</div>';
}
if($scrol_inactif >= 10){
	$message = '<div class="col-md-12">
					<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#stroked-flag"></use></svg> Vous avez beaucoup de scrollings inactifs ('.$scrol_inactif.'), s’ils ne sont plus utiles, vous avez la possibilité de les supprimer !
					</div>
				</div>';
}
//GESTION NOTES
if(isset($_POST['notes'])){
	$data_notes = $_POST['notes'];
	if(_UPDATECONFIG('bloc_notes', $data_notes)){
		$message = '<div class="col-md-12">
						<div class="alert bg-success" role="alert">
							<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"/></svg> Note mise à jour !
						</div>
					</div>';
	}else{
		$message = '<div class="col-md-12">
						<div class="alert bg-danger" role="alert">
							<svg class="glyph stroked cancel"><use xlink:href="#stroked-cancel"/></svg> Impossible de mettre à jour la note !
						</div>
					</div>';
	}
}
// GESTION ESPACE DISQUE

$allowed_space = _GETCONFIG('allowed_space')['value'];
$space_used = getFolderSize("./DOCS/");
$persent_used = ($space_used/$allowed_space)*100;
if($persent_used >= 80){
	$chartId = 'easypiechart-red';
}elseif($persent_used > 65 && $persent_used < 80){
	$chartId = 'easypiechart-orange';
}else{
	$chartId = 'easypiechart-blue';
}

//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($_SESSION['service_name']); 
 
include('template/admin.php');

include('template/footer.php');
?>

