<?php
function template_header($title='MADISS'){
	global $_SESSION;
?>	
   <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
		<div class="container-fluid">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#sidebar-collapse">
					<span class="sr-only">Toggle navigation</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="admin.php"><span><?php echo $title;?></span> Admin</a>
				<ul class="user-menu">
					<li class="dropdown pull-right">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown"><svg class="glyph stroked male-user"><use xlink:href="#stroked-male-user"></use></svg> <?php if(isset($_SESSION['user_name'])){ echo $_SESSION['user_name'];?> <span class="caret"></span> <?php }else{?> Invité <span class="caret"></span> <?php }?></a>
						<ul class="dropdown-menu" role="menu">
							<li><a href="compte.php"><svg class="glyph stroked male-user"><use xlink:href="#stroked-male-user"></use></svg> Profile</a></li>
							<li><a href="enter.php?DECO=true"><svg class="glyph stroked cancel"><use xlink:href="#stroked-cancel"></use></svg> Logout</a></li>
						</ul>
					</li>
				</ul>
			</div>
							
		</div><!-- /.container-fluid -->
	</nav>
		
	<div id="sidebar-collapse" class="col-sm-3 col-lg-2 sidebar">
		<form role="search">
			<div class="form-group">
				<input type="text" class="form-control" placeholder="Search">
			</div>
		</form>
		<ul class="nav menu">
			<li class="parent">
				<a href="admin.php"><svg class="glyph stroked dashboard-dial"><use xlink:href="#stroked-dashboard-dial"></use></svg> Administration</a>
				<ul class="children" id="sub-item-1">
				<?php if($_SESSION['user_droit'] <= '2'){?>
					<li>
						<a class="" href="admin_utilisateurs.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Gestion des utilisateurs
						</a>
					</li>
				<?php }?>
				<?php if($_SESSION['user_droit'] <= '1'){?>
					<li>
						<a class="" href="admin_gestion.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Gestion de l'application
						</a>
					</li>
				<?php }?>
				</ul>
			</li>
			<li><a href="modules.php"><svg class="glyph stroked app-window-with-content"><use xlink:href="#stroked-app-window-with-content"></use></svg> Modules</a></li>
			
			<li class="parent ">
				<a href="liste_pages.php">
					<span data-toggle="" href="#sub-item-1"><svg class="glyph stroked notepad "><use xlink:href="#stroked-notepad"/></svg></span> Pages
				</a>
				<ul class="children" id="sub-item-1">
					<li>
						<a class="" href="liste_pages.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Liste des pages
						</a>
					</li>
					<li>
						<a class="" href="new_page.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Créer une page
						</a>
					</li>
				</ul>
			</li>
			
			<li class="parent ">
				<a href="liste_scrolling.php">
					<span data-toggle="" href="#sub-item-1"><svg class="glyph stroked monitor"><use xlink:href="#stroked-monitor"/></svg></span> Scrolling
				</a>
				<ul class="children" id="sub-item-1">
					<li>
						<a class="" href="liste_scrolling.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Liste des scrolling
						</a>
					</li>
					<li>
						<a class="" href="new_scrolling.php">
							<svg class="glyph stroked chevron-right"><use xlink:href="#stroked-chevron-right"></use></svg> Créer un scrolling
						</a>
					</li>
				</ul>
			</li>
			<li role="presentation" class="divider"></li>
			<li><a href="" data-toggle="modal" data-target="#AProposModal"><svg class="glyph stroked blank document"><use xlink:href="#stroked-blank-document"/></svg> A propos</a></li>
			<?php 
			if(function_exists('get_browser_name')){
				if(get_browser_name($_SERVER['HTTP_USER_AGENT']) != 'Chrome' AND get_browser_name($_SERVER['HTTP_USER_AGENT']) != 'Firefox'){
			?>
					<li><a class="alert bg-warning">Vous utilisez <?php echo get_browser_name($_SERVER['HTTP_USER_AGENT']);?> ...<br>L'application est optimisé pour Chrome et Firefox !</a></li>
			<?php 
				}
			}
			?>
		</ul>

	</div><!--/.sidebar-->
<?php
}
?>	