
<!DOCTYPE html>
<!--
	Transit by TEMPLATED
	templated.co @templatedco
	Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
-->
<html lang="fr">
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex">
		<title>MADISS Charte</title>
		<link rel="icon" type="image/png" href="favicon.png" />
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="description" content="Charte, CGU de l'application MADISS" />
		
	</head>
	<body>
		
		<section id="main" class="wrapper" style="padding:40px">
			<div class="container">
				
				<h1>Conditions d'utilisation</h1>
				
				<h2>1. Généralités</h2>
				<p>MADISS est un service gratuit, en vous inscrivant en tant qu'utilisateur et en vous connectant vous acceptez les termes et conditions d'utilisaton. Les services fournis sont exclusivement destinés aux personnes agées de 14 ans et plus.</p>
				
				<h2>2. Objet</h2>
				<p>MADISS offre un service auto-hebergé permettant aux utilisateur de créer et gérer leur propre affichage dynamique (digital signage).
				</p>
				
				<h2>3.  Informations personnelles</h2>
				<p>Les information personnelles collecté par l'application sont le NNI et le Nom Prénom.<br> Ces imformations reste en local sur l'application.
				</p>
				
				<h2>4.  Interruption des services</h2>
				<p>Vous pouvez supprimer à tout moment votre application et votre espace d'affichage en contactant l'administrateur qui gère votre serveur. 
				</p>
				
				<h2>5.  Obligations générales de l'utilisateur</h2>
				<p>L'utilisateur est responsable des contenus qu'il a fournis ou stockés sur l'application. L'hebergement de l'application n'a pas l'obligation d'inspecter les pages de ses utilisateurs afin de vérifier qu'elles ne violent pas la loi et ne peut par conséquent pas être tenu responsable du contenu de ces pages. L'utilisateur à l’entière responsabilité de s'assurer que son contenu respecte les lois en vigueur dans son pays ainsi qu'une éventuelle charte informatique de sont entreprise. <br/> 
				<br/>
				L'utilisateur s'engage à ne pas entreprendre d'actions qui pourraient violer ou enfreindre les droits de tiers (y compris leurs droits de personnalité) en utilisant l'application MADISS. <br/> 
				L'utilisateur s'engage à ne pas publier de contenus interdits pas la loi ou contraires aux bonnes mœurs (en particulier tout contenu pornographique, raciste, xénophobe, extrémiste ou de toute autre nature répréhensible) ou pouvant nuire aux droits des tiers (cf. notamment les droits de la personnalité, les marques déposées, les droits au nom ou les droits d'auteur). 
				</p>
				
				<h2>6.  Responsabilité</h2>
				<p>L'application étant fourni tel quel et hébergé sur un hébergement tier,
				<br/>
				La responsabilité de l'auteur de l'application ne pourra pas être engagée concernant toute perte de données par l'utilisateur ou pour accès non-autorisé aux informations personnelles de l'utilisateur par des tiers (cf. pirates informatiques) . <br/>
				L'auteur de l'application ne peut pas non plus être tenu responsable en cas d'abus par des tiers des données et informations rendues accessibles par les utilisateurs eux-mêmes. 
				<br/>
				L'auteur de l'application n'est pas responsable des activités des utilisateurs  ou des contenus qu'ils proposent. <br/>
				L'auteur de l'application ne peut être tenu responsable de pertes financières ou autres dommages émanant d'un défaut de fonctionnement ou d'une indisponibilité du système. 
				</p>
				
				<h2>7.  Protection des données</h2>
				<p>L'utilisateur est conscient du fait que d'un point de vue technique, le fournisseur de service (l'hébergement) est en mesure de voir certaines des données enregistrées sur les serveurs qu'il met à disposition des utilisateurs , et qu'il existe une possibilité théorique que des tiers aient accès aux informations de l'utilisateur au moment de la transmission de ces données sur internet. 
				<p>L'utilisateur est conscient du fait que le contenu diffusé sur les écran, est aussi disponible sur internet et donc accessible pas des utilisateurs tiers.
				</p>
				
				<hr/>
				
				<h1>Charte d'utilisation</h1>
				
				<h2>Cookies</h2>
				<p>MADISS n'utilise pas de cookies.</p>
				
				<h2>Transmission des informations collectées</h2>
				<p>Il se peut qu'il y ait une communication d'informations avec le serveur de mise à jour pour le choix de la mise à jour à distribuer, mais en aucun cas serons transmises 
					<br/>
					<ul>
						<li>vos informations personelles </li>
						<li>le contenu de votre affichage </li>
					</ul>
				</p>
				
				<h2>Modifications de cette charte</h2>
				<p>Cette charte de confidentialité peut être modifiée. Toutes les modifications de la charte seront affichées sur cette page.</p>
				
				
			</div>
		</section>
		
	</body>
</html>